#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

#define FAST ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0)

using namespace std;

long int typedef li;
long long int typedef lli;

using namespace __gnu_pbds;

li corona(li n){
    li x = 0;
    for(li i = 1; i <= n; i++){
        x += i;
    }
    return x;
}

int main()
{

    FAST;

    int t;
    li n, k;
    lli m;

    cin >> t;
    string e[t];

    for(int i = 0; i < t; i++){
        cin >> n >> m >> k;
        int l = 0;

        li rest = n % k;
        for(int l = 0; l < k; l++){

            //-----------------
            int add = 1;
            if(rest == 0) add = 0;
            li cn = (n / k) + add;
            if(rest != 0) rest--;

            //MAIN TEST
            m -= corona(cn);

            if(m < 0){
                e[i] = "Nie";
            }
            else{
                e[i] = "Tak";
                break;
            }
        }
    }

    for(int i = 0; i < t; i++){
        cout << e[i] << endl;
    }

    return 0;
}